Create a new custom contact field
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/contacts/fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Customer Tier",
"is_active": true,
"type": "text",
"is_required": false,
"options": [
"<string>"
]
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/contacts/fields"
payload = {
"name": "Customer Tier",
"is_active": True,
"type": "text",
"is_required": False,
"options": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Customer Tier',
is_active: true,
type: 'text',
is_required: false,
options: ['<string>']
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/contacts/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Contact Fields
Create a new custom contact field
Generates a unique snake_case key from the supplied name, appending a numeric suffix if needed. New fields are appended to the end of the list.
POST
/
api
/
v1
/
contacts
/
fields
Create a new custom contact field
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Body
application/json
Response
Custom contact field created
⌘I